"use strict";

exports.__esModule = true;
exports.pendingPageDataWritesReducer = void 0;

const pendingPageDataWritesReducer = (state = {
  pagePaths: new Set(),
  templatePaths: new Set()
}, action) => {
  switch (action.type) {
    case `ADD_PENDING_PAGE_DATA_WRITE`:
      state.pagePaths.add(action.payload.path);
      return state;

    case `ADD_PENDING_TEMPLATE_DATA_WRITE`:
      state.templatePaths.add(action.payload.componentPath);
      return state;

    case `CLEAR_PENDING_PAGE_DATA_WRITES`:
      {
        state.pagePaths.clear();
        state.templatePaths.clear();
        return state;
      }

    default:
      return state;
  }
};

exports.pendingPageDataWritesReducer = pendingPageDataWritesReducer;
//# sourceMappingURL=pending-page-data-writes.js.map