import { Stats } from "webpack";
declare const stageCodeToReadableLabel: {
    readonly "build-javascript": "Generating JavaScript bundles";
    readonly "build-html": "Generating SSR bundle";
    readonly develop: "Generating development JavaScript bundle";
};
declare type Stage = keyof typeof stageCodeToReadableLabel;
declare type StageLabel = typeof stageCodeToReadableLabel[Stage];
interface ITransformedWebpackError {
    id: string;
    filePath?: string;
    location?: {
        start: string;
    };
    context: {
        stage: Stage;
        stageLabel: StageLabel;
        sourceMessage?: string;
        [key: string]: unknown;
    };
}
export declare const structureWebpackErrors: (stage: Stage, webpackError: any) => ITransformedWebpackError[] | ITransformedWebpackError;
export declare const reportWebpackWarnings: (stats: Stats) => void;
export {};
